import { Domain, ListParam } from '@things-factory/shell';
import { User } from '@things-factory/auth-base';
import { ProcessTemplate } from './process-template';
import { ProcessTemplateList } from './process-template-type';
export declare class ProcessTemplateQuery {
    processTemplate(id: string, context: ResolverContext): Promise<ProcessTemplate>;
    processTemplatesCreatedByMe(params: ListParam, context: ResolverContext): Promise<ProcessTemplateList>;
    processTemplates(params: ListParam, context: ResolverContext): Promise<ProcessTemplateList>;
    mine(processTemplate: ProcessTemplate, context: ResolverContext): Promise<boolean>;
    domain(processTemplate: ProcessTemplate): Promise<Domain>;
    updater(processTemplate: ProcessTemplate): Promise<User>;
    creator(processTemplate: ProcessTemplate): Promise<User>;
}
